Summary: System configuration backend library
Name: liboobs
Version: 2.30.0
Release: 1%{?_dist_release}
Source0: http://ftp.gnome.org/pub/GNOME/sources/liboobs/2.22/%{name}-%{version}.tar.bz2
License: GPL
Group: System Environment/Libraries
Url: http://www.gnome.org

BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: dbus-glib-devel >= 0.73
BuildRequires: system-tools-backends >= 2.2
BuildRequires: gtk-doc

%description
Liboobs is a wrapping library to the System Tools Backends, it will
provide easy to access GObjects to system configuration details, like
users, groups and network interfaces, it will handle sessions with the
backend and data consistency too.

%package devel
Summary: Header files of the system configuration backend library
Group: Development/Libraries
Requires: %{name} = %{version}

%description devel
Liboobs is a wrapping library to the System Tools Backends, it will
provide easy to access GObjects to system configuration details, like
users, groups and network interfaces, it will handle sessions with the
backend and data consistency too.


%prep
%setup -q

%build
%configure --enable-gtk-doc --with-hal=no
make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall

rm -f $RPM_BUILD_ROOT%{_libdir}/*.la

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%doc AUTHORS NEWS README ChangeLog
%{_libdir}/liboobs-1.so.*

%files devel
%defattr(-,root,root)
%{_includedir}/liboobs-1.0/
%{_libdir}/liboobs-1.a
%{_libdir}/liboobs-1.so
%{_libdir}/pkgconfig/liboobs-1.pc
%{_datadir}/gtk-doc/html/liboobs

%changelog
* Wed Mar 31 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> - 2.30.0-1
- new upstream release
- remove BuildRequires: hal-devel
- add configure option (--with-hal=no)

* Sun Mar 14 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> - 2.22.2-1
- new upstream release

* Thu Jul  3 2008 MATSUBAYASHI Kohji <shaolin@vinelinux.org> - 2.22.0-1
- new upstream release
- new versioning policy; spec in UTF-8

* Sun Jan 13 2008 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.20.0-0vl1
- new upstream release

* Fri Apr 27 2007 Daisuke SUZUKI <daisuke@linux.or.jp> 2.18.1-0vl1
- initial build for Vine Linux
